<?php  defined('C5_EXECUTE') or die(_("Access Denied."));  ?>
<?php 
switch($fx){
    case "fade":?>
    progress:true,
      onProgressChange: function(swiper){
        for (var i = 0; i < swiper.slides.length; i++){
          var slide = swiper.slides[i];
          var progress = slide.progress;
          var translate = progress*swiper.width;  
          var opacity = 1 - Math.min(Math.abs(progress),1);
          slide.style.opacity = opacity;
          swiper.setTransform(slide,'translate3d('+translate+'px,0,0)');
        }
      },
      onTouchStart:function(swiper){
        for (var i = 0; i < swiper.slides.length; i++){
          swiper.setTransition(swiper.slides[i], 0);
        }
      },
      onSetWrapperTransition: function(swiper) {
        for (var i = 0; i < swiper.slides.length; i++){
          swiper.setTransition(swiper.slides[i], swiper.params.speed);
        }
      },
    <?php 
        break;
    case "carousel":?>
        progress:true,
          onProgressChange: function(swiper){
            for (var i = 0; i < swiper.slides.length; i++){
              var slide = swiper.slides[i];
              var progress = slide.progress;
              swiper.setTransform(slide,'translate3d(0px,0,'+(-Math.abs(progress*1500))+'px)');
            }
          },
          onTouchStart:function(swiper){
            for (var i = 0; i < swiper.slides.length; i++){
              swiper.setTransition(swiper.slides[i], 0);
            }
          },
          onSetWrapperTransition: function(swiper) {
            for (var i = 0; i < swiper.slides.length; i++){
              swiper.setTransition(swiper.slides[i], swiper.params.speed);
            }
          },
    <?php 
        break;
    case "cover":?>
         progress:true,
      onProgressChange: function(swiper){
        for (var i = 0; i < swiper.slides.length; i++){
          var slide = swiper.slides[i];
          var progress = slide.progress;
          var scale, translate, opacity;
          if (progress<=0) {
            opacity = 1 - Math.min(Math.abs(progress),1);
            scale = 1 - Math.min(Math.abs(progress/2),1);
            translate = progress*swiper.width;  
          }
          else {
            opacity = 1 - Math.min(Math.abs(progress/2),1);
            scale=1;
            translate=0; 
          }
          slide.style.opacity = opacity;
          swiper.setTransform(slide,'translate3d('+(translate)+'px,0,0) scale('+scale+')');
        }
      },
      onTouchStart:function(swiper){
        for (var i = 0; i < swiper.slides.length; i++){
          swiper.setTransition(swiper.slides[i], 0);
        }
      },
      onSetWrapperTransition: function(swiper) {
        for (var i = 0; i < swiper.slides.length; i++){
          swiper.setTransition(swiper.slides[i], swiper.params.speed);
        }
      },
    <?php 
        break;
    case "inversecover":?>
         progress:true,
      onProgressChange: function(swiper){
        for (var i = 0; i < swiper.slides.length; i++){
          var slide = swiper.slides[i];
          var progress = slide.progress;
          var translate, boxShadow;
          if (progress>0) {
            translate = progress*swiper.width;  
            boxShadowOpacity = 0;
          }
          else {
            translate=0; 
            boxShadowOpacity = 1  - Math.min(Math.abs(progress),1);
          }
          slide.style.boxShadow='0px 0px 10px rgba(0,0,0,'+boxShadowOpacity+')';
          swiper.setTransform(slide,'translate3d('+(translate)+'px,0,0)');
        }
      },
      onTouchStart:function(swiper){
        for (var i = 0; i < swiper.slides.length; i++){
          swiper.setTransition(swiper.slides[i], 0);
        }
      },
      onSetWrapperTransition: function(swiper) {
        for (var i = 0; i < swiper.slides.length; i++){
          swiper.setTransition(swiper.slides[i], swiper.params.speed);
        }
      },
    <?php 
        break;
    case "rotate":?>
        progress:true,
      onProgressChange: function(swiper){
        for (var i = 0; i < swiper.slides.length; i++){
          var slide = swiper.slides[i];
          var progress = slide.progress;
          var rotate = -90*progress;
          if (rotate<-90) rotate=-90;
          if (rotate>90) rotate=90;
          var translate = progress*swiper.width/2;  
          var opacity = 1 - Math.min(Math.abs(progress),1);
          slide.style.opacity = opacity;
          swiper.setTransform(slide,'rotateY('+rotate+'deg) translate3d('+translate+'px,0,0)');
        }
      },
      onTouchStart:function(swiper){
        for (var i = 0; i < swiper.slides.length; i++){
          swiper.setTransition(swiper.slides[i], 0);
        }
      },
      onSetWrapperTransition: function(swiper) {
        for (var i = 0; i < swiper.slides.length; i++){
          swiper.setTransition(swiper.slides[i], swiper.params.speed);
        }
      },
    
    <?php 
        break;
    case "flip":?>
        progress:true,
        onProgressChange: function(swiper){
        for (var i = 0; i < swiper.slides.length; i++){
          var slide = swiper.slides[i];
          var progress = slide.progress;
          var rotate = -180*progress;
          if (rotate<-180) rotate=-180;
          if (rotate>180) rotate=180;
          var translate = progress*swiper.width;  
          swiper.setTransform(slide,'translate3d('+translate+'px,0,'+-Math.abs(progress)*500+'px)');
          swiper.setTransform(slide.querySelector('.flip-container'),'rotateY('+rotate+'deg)');
        }
      },
      onTouchStart:function(swiper){
        for (var i = 0; i < swiper.slides.length; i++){
          swiper.setTransition(swiper.slides[i], 0);
          swiper.setTransition(swiper.slides[i].querySelector('.flip-container'),0);
        }
      },
      onSetWrapperTransition: function(swiper) {
        for (var i = 0; i < swiper.slides.length; i++){
          swiper.setTransition(swiper.slides[i], swiper.params.speed);
          swiper.setTransition(swiper.slides[i].querySelector('.flip-container'),swiper.params.speed);
        }
      },
    <?php 
        break;
    case "letterzoom":?>
        progress:true,
      onProgressChange: function(swiper){
        for (var i = 0; i < swiper.slides.length; i++){
          var slide = swiper.slides[i];
          var progress = slide.progress;
          var translate = progress*swiper.width;  
          var characters = slide.querySelectorAll('div');
          for (var j=0; j<characters.length; j++) {
            var charScale = progress*1500*(characters.length-j)/characters.length;
            var charOpacity = 1 - Math.min(Math.abs(progress),1);
            swiper.setTransform(characters[j],'translate3d(0,0,'+(charScale)+'px)');
            characters[j].style.opacity = charOpacity;
          }
          swiper.setTransform(slide,'translate3d('+translate+'px,0,0)');
        }
      },
      onTouchStart:function(swiper){
        for (var i = 0; i < swiper.slides.length; i++){
          swiper.setTransition(swiper.slides[i], 0);
          var characters = swiper.slides[i].querySelectorAll('div');
          for (var j=0; j<characters.length; j++) {
            swiper.setTransition(characters[j], 0);
          }
        }
          
      },
      onSetWrapperTransition: function(swiper) {
        for (var i = 0; i < swiper.slides.length; i++){
          swiper.setTransition(swiper.slides[i], swiper.params.speed);
          var characters = swiper.slides[i].querySelectorAll('div');
          for (var j=0; j<characters.length; j++) {
            swiper.setTransition(characters[j], swiper.params.speed);
          }
        }

      },
    <?php 
        break;
}
?>